Bug 961382 - Invalid list of interfaces, two or more network interfaces have the same IP
Invalid list of interfaces, two or more network interfaces have the same IP
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Lior Vernia
Pavel Stehlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-09 09:58 EDT by Wesley Duffee-Braun
Modified: 2016-02-10 14:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-22 08:07:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wesley Duffee-Braun 2013-05-09 09:58:25 EDT
Description of problem:
When dragging a new VLAN over from "Required" in "Unassigned Logical interfaces" into the List of "Assigned Logical interfaces" for Bond0, and "Save network configuration" box is checked, and then clicking OK, the error

"Invalid list of interfaces, two or more network interfaces have the same IP" comes up

It appears that the customer misconfigured networking at some point in the past, and now is having
When dragging a new VLAN over from "Required" in "Unassigned Logical interfaces" into the List of "Assigned Logical interfaces" for Bond0, and "Save network configuration" box is checked, and then clicking OK, the error

"Invalid list of interfaces, two or more network interfaces have the same IP" comes up

It appears that the customer misconfigured networking at some point in the past, and now is having configuration issues.

Version-Release number of selected component (if applicable):
RHEV-M 3.1

Additional info:
When customer is attemping to edit hosts the rhevm network is listed as out of
sync. Removing it from the assigned logical networks gets the config
back in sync, but when you add it back RHEV refuses to save the config,
probably because of the mismatch with the actual network configuration.

Having this non-VLAN configuration also prevents saving with any
other VLAN networks included with the error message,

"Cannot setup Networks. The following Network Interfaces can have only a
single VM Logical Network, or at most one non-VM Logical Network and/or
several VLAN Logical Networks: bond0."
Comment 3 Gordon Watson 2013-05-28 09:22:36 EDT
Lior,

Essentially the 'rhevm' network interface did not have vlan tagging enabled (at the Data Center level - the 'rhevm' entry in the 'network' table in the database did not have a 'vlan_id'), yet a vlan-tagged 'rhevm' interface existed as a member of the one bonded interface. Everything was apparently working ok though. They then created a new vlan and when they tried to add it, they got the "Invalid list of interfaces, two or more network interfaces have the same IP" error. This was due to the duplicate interface entries. 

Once all of the duplicates were removed from the database manually via sql commands, they then got the error "Cannot setup Networks. The following Network Interfaces can have only a single VM Logical Network, or at most one non-VM Logical Network and/or several VLAN Logical Networks: bond0" when trying to add the new vlan again. 

This was "resolved" by manually adding a 'vlan_id' via an sql command to the 'rhevm' entry in the 'network' table. Once this was done, the new vlan could then be added successfully.

Hope this clarifies the situation. If not, please let me know.

GFW.
Comment 4 Lior Vernia 2013-08-14 06:50:27 EDT
Thanks Gordon,

You have clarified the situation, I apologize for the delay.

The error message concerning the different networks not being able to live together on the same interface is as designed. If 'rhevm' is VLAN-tagged on the hosts, it should also be marked as such in the engine for consistency.

However, the duplicate network entries are definitely a bug. Could the customer retrace how these duplicate entries were created?

Yours, Lior.
Comment 5 Gordon Watson 2013-08-15 16:09:49 EDT
Lior,

The customer had the 'rhevm' network set on RHEV-M to not use vlan tagging even though it was vlan-tagged on the hosts. They believe that the duplicate entries were created when they attempted to then add a new network.

I know I looked at this at the time, but to be honest I don't remember what I saw. I would have to go back and look at this all over again. So, other than what the customer believes caused the problem to occur, I don't have much else to add at this time.

Regards, GFW.
Comment 6 Lior Vernia 2013-08-22 08:07:24 EDT
Closing as I haven't been able to either reproduce the duplication bug or trace its origin in the logs attached to the customer portal ticket - all duplicate entries that appear in the log (there's no mention of 'webcms' in the attached logs) have been created way back in April 2012 and their creation is not logged.

All other behavior described above, related to the management network being VLAN-tagged on the hosts but not on the engine, doesn't seem like a bug.

Note You need to log in before you can comment on or make changes to this bug.